# Interface ITestCaseElement

All Superinterfaces:
  `ITestElement`

public interface ITestCaseElement extends ITestElement
Represents a test case element.

This interface is not intended to be implemented by clients.

Since:
  3.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

### Nested classes/interfaces inherited from interface ITestElement

`ITestElement.FailureTrace, ITestElement.ProgressState, ITestElement.Result`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTestClassName()`
Returns the qualified type name of the class the test is contained in.
`String`
`getTestMethodName()`
Returns the name of the test method.

### Methods inherited from interface ITestElement

`getElapsedTimeInSeconds, getFailureTrace, getParentContainer, getProgressState, getTestResult, getTestRunSession`

## Method Details

### getTestMethodName

String getTestMethodName()
Returns the name of the test method.

Returns:
  returns the name of the test method.

### getTestClassName

String getTestClassName()
Returns the qualified type name of the class the test is contained in.

Returns:
  the qualified type name of the class the test is contained in.